#ifndef _SOCKETHELPER_H
#define _SOCKETHELPER_H

#include <unistd.h>
#include <netinet/in.h>
#include <netdb.h>
#include <sys/socket.h>

void setnonblocking(int sock);

#define REBIND 1
#define NONBLOCKING 2

int inet_passive_socket(const char *address, int port, int flags);

#endif /* _SOCKETHELPER_H */
